Alt Detection Lookup
curl --request GET \
--url https://api.docksys.xyz/api/v1/public/detections/alt \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/api/v1/public/detections/alt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/api/v1/public/detections/alt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"target": {
"discordIds": [
"112233445566778899"
],
"robloxIds": [
"7744112233"
],
"guildId": "998877665544331122"
},
"alts": [
{
"discordId": "221133445566778800",
"robloxId": "66442211"
},
{
"discordId": "556677889900112233",
"robloxId": null
}
],
"risk": {
"score": 72,
"label": "medium",
"breakdown": {
"overall": 72,
"alt": 40,
"vpn": 90
}
},
"summary": {
"totalAlts": 2,
"robloxAltIds": [
"66442211"
]
},
"warnings": [
"Failed to decrypt login activity IP for 112233445566778899: [REDACTED_IP]"
]
},
"timestamp": "2025-11-14T18:30:22.192Z",
"version": "3.4.1",
"requestsRemaining": 492,
"ipRequestsRemaining": 98
}API v1
Alt Detection Lookup
Scans known login metadata to identify alternate Discord accounts usage for submitted Discord IDs, Roblox IDs, or IP addresses.
GET
/
api
/
v1
/
public
/
detections
/
alt
Alt Detection Lookup
curl --request GET \
--url https://api.docksys.xyz/api/v1/public/detections/alt \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/api/v1/public/detections/alt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/api/v1/public/detections/alt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"target": {
"discordIds": [
"112233445566778899"
],
"robloxIds": [
"7744112233"
],
"guildId": "998877665544331122"
},
"alts": [
{
"discordId": "221133445566778800",
"robloxId": "66442211"
},
{
"discordId": "556677889900112233",
"robloxId": null
}
],
"risk": {
"score": 72,
"label": "medium",
"breakdown": {
"overall": 72,
"alt": 40,
"vpn": 90
}
},
"summary": {
"totalAlts": 2,
"robloxAltIds": [
"66442211"
]
},
"warnings": [
"Failed to decrypt login activity IP for 112233445566778899: [REDACTED_IP]"
]
},
"timestamp": "2025-11-14T18:30:22.192Z",
"version": "3.4.1",
"requestsRemaining": 492,
"ipRequestsRemaining": 98
}Authorizations
Query Parameters
Response
Successful response with alt matches, risk, and warning metadata.